<article id="post-<?php the_ID(); ?>" <?php post_class('glister-post-item'); ?>>    
    <?php
		$entry_featured_image = '';
		$entry_media_content = '';
		$content = apply_filters( 'the_content', get_the_content() );
		$audio   = false;
		$video   = false;
		
		if( has_post_thumbnail() && !is_search()){
			$entry_featured_image = '<div class="entry-image">'.get_the_post_thumbnail(get_the_ID(), 'glister_blog').'</div>';
		}
		
		if(get_post_format() == 'audio'){ 
			if ( false === strpos( $content, 'wp-playlist-script' ) ) {
				$audio = get_media_embedded_in_content( $content, array( 'audio' ) );
			}
			$entry_media_content .= $entry_featured_image;
			if ( ! empty( $audio ) ) {
				foreach ( $audio as $audio_html ) {
					$entry_media_content .= '<div class="entry-audio">';
						$entry_media_content .= $audio_html;
					$entry_media_content .= '</div><!-- .entry-audio -->';
				}
			}
		}elseif(get_post_format() == 'image'){ 
			if(!has_post_thumbnail()){
				$get_first_image_url = glister_get_first_image_url_from_string($content);
				if($get_first_image_url != ''){
					$entry_media_content .= '<a href="' . esc_url( get_permalink() ) . '">';
						$entry_media_content .= '<img src="'.esc_url($get_first_image_url).'" alt="'.esc_attr(get_the_title()).'">';
					$entry_media_content .= '</a>';
				}
			}else{
				$entry_media_content .= '<a href="' . esc_url( get_permalink() ) . '">';
					$entry_media_content .= $entry_featured_image;
				$entry_media_content .= '</a>';
			}
			
		}elseif(get_post_format() == 'video'){ 
			if ( false === strpos( $content, 'wp-playlist-script' ) ) {
				$video = get_media_embedded_in_content( $content, array( 'video', 'object', 'embed', 'iframe' ) );
				echo $video['0'];
			}
		}elseif(get_post_format() == 'gallery'){ 
			if ( get_post_gallery() ) {
				$entry_media_content .= '<div class="entry-gallery">';
					$entry_media_content .= get_post_gallery();
				$entry_media_content .= '</div>';
			}
		}
		
		if(get_post_format() == ''){ 
			if(!has_post_thumbnail()){
				$get_first_image_url = glister_get_first_image_url_from_string($content);
				if($get_first_image_url != ''){
					$entry_media_content .= '<a href="' . esc_url( get_permalink() ) . '">';
						$entry_media_content .= '<img src="'.esc_url($get_first_image_url).'" alt="'.esc_attr(get_the_title()).'">';
					$entry_media_content .= '</a>';
				}
			}else{
				$entry_media_content .= '<a href="' . esc_url( get_permalink() ) . '">';
					$entry_media_content .= $entry_featured_image;
				$entry_media_content .= '</a>';
			}
		}
	?>
    
    <?php if(($entry_media_content != '') && !is_search()): ?>
    	<div class="entry-media">
        	<?php echo wp_kses_post($entry_media_content); ?>
        </div>
    <?php endif; ?>
    
    <?php
		if( has_post_thumbnail() && (get_post_format() == 'link') ){
			echo wp_kses_post('<span class="entry-link-format-image" style="background-image:url('.esc_url(wp_get_attachment_url( get_post_thumbnail_id() )).');"></span>');
		}
	?>

            
    <?php if((get_post_format() != 'aside') && (get_post_format() != 'quote')): ?>
        <header class="entry-header">
            <?php
                if ( !is_single() && (get_post_format() != 'link') ){
                    the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
                }elseif(get_post_format() == 'link'){
					the_title( '<h2 class="entry-title"><a href="' . esc_url( glister_get_first_link_url_from_post_content() ) . '" rel="bookmark">', '</a></h2>' );
				}
				
				
            	if (glister_mood('blog_settings_enable_post_meta') == true){ 
                    if ( ('post' === get_post_type()) && !is_single() && (get_post_format() != 'link') ) : ?>
                        <div class="entry-meta">
                            <?php glister_posted_on(); ?>
                        </div><!-- .entry-meta -->
                    <?php
                    endif; 
				} 
				
            ?>
        </header><!-- .entry-header -->
    <?php endif; ?>
        
	<div class="entry-content">
		<?php		
			the_excerpt();		
			echo wp_kses_post('<a href="' . esc_url( get_permalink() ) . '" class="ep_button entry-button">'.__('Continue Reading', 'glister').'</a>');
		?>
	</div><!-- .entry-content -->
    
    <?php if( (get_post_format() != 'aside') && (get_post_format() != 'link') && (get_post_format() != 'quote') ): ?>
        <footer class="entry-footer">
            <?php glister_entry_footer(); ?>
        </footer><!-- .entry-footer -->
    <?php endif; ?>
</article><!-- #post-## -->